- job:
    name: uadk
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
            artifact-num-to-keep: 10
        - github:
            url: https://github.com/Linaro/uadk
    disabled: false
    node: d06-uadk
    display-name: 'UADK - User Space Accelerator Development Kit'
    concurrent: false
    scm:
        - git:
            url: https://github.com/Linaro/uadk.git
            refspec: +refs/pull/*:refs/remotes/origin/pr/*
            name: origin
            branches:
                - ${sha1}
            basedir: uadk
            skip-tag: true
            shallow-clone: true
            wipe-workspace: true
    triggers:
        - github-pull-request:
            github-hooks: true
            permit-all: true
            white-list-target-branches:
                - 'master'
                - 'dev'
                - 'develop'
            auth-id: 'GITHUB_TOKEN'
    wrappers:
        - timestamps
    builders:
        - shell:
            !include-raw: uadk/builders.sh
        - build-name-setter:
            name: 'version.txt'
            file: true
    publishers:
        - email:
            recipients: 'haojian.zhuang@linaro.org'
